Bug 188707 - switches at the end are not recognized
switches at the end are not recognized
Product: Fedora
Classification: Fedora
Component: tar (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 10:13 EDT by Nerijus Baliūnas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 19:55:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-04-12 10:13:55 EDT
I have a commercial application which I cannot install, as it uses
/bin/tar -xf $cdPathDir/IMAGES.DIR/FS.0 ./install/tmp -b1 2>/dev/null
I get:
/bin/tar: -b1: Not found in archive
/bin/tar: Error exit delayed from previous errors

It works if I move "-b1" to the beginning:
/bin/tar -b1 -xf $cdPathDir/IMAGES.DIR/FS.0 ./install/tmp 2>/dev/null

IMHO it is a regression. It works with tar-1.13.25.
Comment 1 Peter Vrabec 2006-04-24 09:40:30 EDT
I have found the patch: 
update somes soon, thx. for report 
Comment 2 Nerijus Baliūnas 2006-04-24 22:00:16 EDT
I've just tested the patch, it works, thanks.
Comment 3 Nerijus Baliūnas 2006-04-25 19:55:08 EDT
tar-1.15.90-1.FC5 fixes it.

Note You need to log in before you can comment on or make changes to this bug.